# SourcePath: wireless-tools/20090702dev
Summary: Wireless ethernet configuration tools
Name: sony-target-dev-wireless-tools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-wireless-tools
Version: 29
Release: 08020503
Source          : wireless_tools.%{version}.tar.gz
License: GPL2
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment. 

# wireless-tools

%package -n %{pkgname}
Summary: Wireless ethernet configuration tools
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment. 


%prep
%setup -n wireless_tools.%{version}

%build
%sony_target_dev_setup
make CC="${CC}" AR="${AR}" LD="${LD}" LDCONFIG="%{sony_target_dir}%{sony_target_dev_sbin_dir}/ldconfig"

%install
%sony_target_dev_setup
rm -rf %{buildroot}

make PREFIX="%{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}"  \
    INSTALL_INC="%{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}" install


rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libiw.so.%{version}
%{sony_target_dir}%{sony_target_dev_lib_dir}/libiw.so
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ifrename
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwconfig
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwevent
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwgetid
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwlist
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwpriv
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iwspy
%{sony_target_dir}%{sony_target_dev_include_dir}/iwlib.h
%{sony_target_dir}%{sony_target_dev_include_dir}/wireless.h

### %doc ChangeLog FAQ README build.log LICENSE


%changelog
* Thu Jul 02 2009 Sony Corporation
- version up 28 -> 29

* Fri Apr 17 2009 Sony Corporation
- Updated to 6.x

* Mon Oct 20 2008 Sony Corporation
- Change Summary.

* Tue Jun 17 2008 Sony Corporation
- change install directory devel/{sbin,lib} -> devel/usr/{sbin,lib}

* Tue May 31 2007 Sony Corporation
- Initial build
